=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-08-07 15:32:12 +0000
+++ storage/myisam/ha_myisam.cc	2008-08-09 06:20:11 +0000
@@ -1295,7 +1295,7 @@
 
 C_MODE_START
 
-my_bool index_cond_func_myisam(void *arg)
+bool index_cond_func_myisam(void *arg)
 {
   ha_myisam *h= (ha_myisam*)arg;
   /*if (h->in_range_read)*/
@@ -1304,7 +1304,7 @@
     if (h->compare_key2(h->end_range) > 0)
       return 2; /* caller should return HA_ERR_END_OF_FILE already */
   }
-  return (my_bool)h->pushed_idx_cond->val_int();
+  return (bool)h->pushed_idx_cond->val_int();
 }
 
 C_MODE_END

=== modified file 'storage/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2008-07-28 02:47:38 +0000
+++ storage/myisam/ha_myisam.h	2008-08-09 06:20:11 +0000
@@ -33,7 +33,7 @@
 extern ulong myisam_recover_options;
 
 C_MODE_START
-my_bool index_cond_func_myisam(void *arg);
+bool index_cond_func_myisam(void *arg);
 C_MODE_END
 
 class ha_myisam: public handler
@@ -120,7 +120,7 @@
   int assign_to_keycache(THD* thd, HA_CHECK_OPT* check_opt);
   bool check_if_incompatible_data(HA_CREATE_INFO *info, uint table_changes);
 #ifdef HAVE_QUERY_CACHE
-  my_bool register_query_cache_table(THD *thd, char *table_key,
+  bool register_query_cache_table(THD *thd, char *table_key,
                                      uint key_length,
                                      qc_engine_callback
                                      *engine_callback,
@@ -152,6 +152,6 @@
 private:
   DsMrr_impl ds_mrr;
   key_map keys_with_parts;
-  friend my_bool index_cond_func_myisam(void *arg);
+  friend bool index_cond_func_myisam(void *arg);
 };
 

=== modified file 'storage/myisam/keycache.h'
--- storage/myisam/keycache.h	2008-07-30 05:33:20 +0000
+++ storage/myisam/keycache.h	2008-08-09 06:20:11 +0000
@@ -58,10 +58,10 @@
 
 typedef struct st_key_cache
 {
-  my_bool key_cache_inited;
-  my_bool in_resize;             /* true during resize operation             */
-  my_bool resize_in_flush;       /* true during flush of resize operation    */
-  my_bool can_be_used;           /* usage of cache for read/write is allowed */
+  bool key_cache_inited;
+  bool in_resize;             /* true during resize operation             */
+  bool resize_in_flush;       /* true during flush of resize operation    */
+  bool can_be_used;           /* usage of cache for read/write is allowed */
   size_t key_cache_mem_size;      /* specified size of the cache memory       */
   uint key_cache_block_size;     /* size of the page buffer of a cache block */
   ulong min_warm_blocks;         /* min number of warm blocks;               */
@@ -115,7 +115,7 @@
   uint64_t global_cache_read;      /* number of reads from files to cache   */
 
   int blocks;                   /* max number of blocks in the cache        */
-  my_bool in_init;		/* Set to 1 in MySQL during init/resize     */
+  bool in_init;		/* Set to 1 in MySQL during init/resize     */
 } KEY_CACHE;
 
 /* The default key cache */
@@ -142,13 +142,13 @@
 			   uint block_length,int force_write);
 extern int flush_key_blocks(KEY_CACHE *keycache,
                             int file, enum flush_type type);
-extern void end_key_cache(KEY_CACHE *keycache, my_bool cleanup);
+extern void end_key_cache(KEY_CACHE *keycache, bool cleanup);
 
 /* Functions to handle multiple key caches */
-extern my_bool multi_keycache_init(void);
+extern bool multi_keycache_init(void);
 extern void multi_keycache_free(void);
 extern KEY_CACHE *multi_key_cache_search(uchar *key, uint length);
-extern my_bool multi_key_cache_set(const uchar *key, uint length,
+extern bool multi_key_cache_set(const uchar *key, uint length,
 				   KEY_CACHE *key_cache);
 extern void multi_key_cache_change(KEY_CACHE *old_data,
 				   KEY_CACHE *new_data);

=== modified file 'storage/myisam/mf_keycache.c'
--- storage/myisam/mf_keycache.c	2008-08-05 02:31:51 +0000
+++ storage/myisam/mf_keycache.c	2008-08-09 06:20:11 +0000
@@ -607,7 +607,7 @@
     none
 */
 
-void end_key_cache(KEY_CACHE *keycache, my_bool cleanup)
+void end_key_cache(KEY_CACHE *keycache, bool cleanup)
 {
   if (!keycache->key_cache_inited)
     return;
@@ -861,7 +861,7 @@
 
 static void link_to_file_list(KEY_CACHE *keycache,
                               BLOCK_LINK *block, int file,
-                              my_bool unlink_block)
+                              bool unlink_block)
 {
   assert(block->status & BLOCK_IN_USE);
   assert(block->hash_link && block->hash_link->block == block);
@@ -955,8 +955,8 @@
     not linked in the LRU ring.
 */
 
-static void link_block(KEY_CACHE *keycache, BLOCK_LINK *block, my_bool hot,
-                       my_bool at_end)
+static void link_block(KEY_CACHE *keycache, BLOCK_LINK *block, bool hot,
+                       bool at_end)
 {
   BLOCK_LINK *ins;
   BLOCK_LINK **pins;
@@ -1149,7 +1149,7 @@
   assert(!block->prev_used);
   if (! --block->requests)
   {
-    my_bool hot;
+    bool hot;
     if (block->hits_left)
       block->hits_left--;
     hot= !block->hits_left && at_end &&
@@ -1160,7 +1160,7 @@
         keycache->warm_blocks--;
       block->temperature= BLOCK_HOT;
     }
-    link_block(keycache, block, hot, (my_bool)at_end);
+    link_block(keycache, block, hot, (bool)at_end);
     block->last_hit_time= keycache->keycache_time;
     keycache->keycache_time++;
     /*
@@ -2099,7 +2099,7 @@
 
 static void read_block(KEY_CACHE *keycache,
                        BLOCK_LINK *block, uint read_length,
-                       uint min_length, my_bool primary)
+                       uint min_length, bool primary)
 {
   uint got_length;
 
@@ -2203,7 +2203,7 @@
                       uint block_length __attribute__((unused)),
                       int return_buffer __attribute__((unused)))
 {
-  my_bool locked_and_incremented= false;
+  bool locked_and_incremented= false;
   int error=0;
   uchar *start= buff;
 
@@ -2281,7 +2281,7 @@
           /* The requested page is to be read into the block buffer */
           read_block(keycache, block,
                      keycache->key_cache_block_size, read_length+offset,
-                     (my_bool)(page_st == PAGE_TO_BE_READ));
+                     (bool)(page_st == PAGE_TO_BE_READ));
           /*
             A secondary request must now have the block assigned to the
             requested file block. It does not hurt to check it for
@@ -2405,7 +2405,7 @@
     uint read_length;
     uint offset;
     int page_st;
-    my_bool locked_and_incremented= false;
+    bool locked_and_incremented= false;
 
     /*
       When the keycache is once initialized, we use the cache_lock to
@@ -2635,7 +2635,7 @@
                     uint block_length  __attribute__((unused)),
                     int dont_write)
 {
-  my_bool locked_and_incremented= false;
+  bool locked_and_incremented= false;
   int error=0;
 
   if (!dont_write)

=== modified file 'storage/myisam/mf_keycaches.c'
--- storage/myisam/mf_keycaches.c	2008-08-05 02:31:51 +0000
+++ storage/myisam/mf_keycaches.c	2008-08-09 06:20:11 +0000
@@ -78,7 +78,7 @@
 /* Get key and length for a SAFE_HASH_ENTRY */
 
 static uchar *safe_hash_entry_get(SAFE_HASH_ENTRY *entry, size_t *length,
-                                  my_bool not_used __attribute__((unused)))
+                                  bool not_used __attribute__((unused)))
 {
   *length=entry->length;
   return (uchar*) entry->key;
@@ -103,7 +103,7 @@
     1  error
 */
 
-static my_bool safe_hash_init(SAFE_HASH *hash, uint elements,
+static bool safe_hash_init(SAFE_HASH *hash, uint elements,
 			      uchar *default_value)
 {
   if (hash_init(&hash->hash, &my_charset_bin, elements,
@@ -179,11 +179,11 @@
     1  error (Can only be EOM). In this case my_message() is called.
 */
 
-static my_bool safe_hash_set(SAFE_HASH *hash, const uchar *key, uint length,
+static bool safe_hash_set(SAFE_HASH *hash, const uchar *key, uint length,
 			     uchar *data)
 {
   SAFE_HASH_ENTRY *entry;
-  my_bool error= 0;
+  bool error= 0;
 
   rw_wrlock(&hash->mutex);
   entry= (SAFE_HASH_ENTRY*) hash_search(&hash->hash, key, length);
@@ -290,7 +290,7 @@
 static SAFE_HASH key_cache_hash;
 
 
-my_bool multi_keycache_init(void)
+bool multi_keycache_init(void)
 {
   return safe_hash_init(&key_cache_hash, 16, (uchar*) dflt_key_cache);
 }
@@ -342,7 +342,7 @@
 */
 
 
-my_bool multi_key_cache_set(const uchar *key, uint length,
+bool multi_key_cache_set(const uchar *key, uint length,
 			    KEY_CACHE *key_cache)
 {
   return safe_hash_set(&key_cache_hash, key, length, (uchar*) key_cache);

=== modified file 'storage/myisam/mi_check.c'
--- storage/myisam/mi_check.c	2008-08-05 02:31:51 +0000
+++ storage/myisam/mi_check.c	2008-08-09 06:20:11 +0000
@@ -885,7 +885,7 @@
   char llbuff[22],llbuff2[22],llbuff3[22];
   ha_checksum intern_record_checksum;
   ha_checksum key_checksum[HA_MAX_POSSIBLE_KEY];
-  my_bool static_row_size;
+  bool static_row_size;
   MI_KEYDEF *keyinfo;
   MI_BLOCK_INFO block_info;
 
@@ -1362,7 +1362,7 @@
     then recrate all indexes.
 */
 
-static int mi_drop_all_indexes(MI_CHECK *param, MI_INFO *info, my_bool force)
+static int mi_drop_all_indexes(MI_CHECK *param, MI_INFO *info, bool force)
 {
   MYISAM_SHARE *share= info->s;
   MI_STATE_INFO *state= &share->state;
@@ -1527,7 +1527,7 @@
   param->read_cache.end_of_file=sort_info.filelength=
     my_seek(info->dfile,0L,MY_SEEK_END,MYF(0));
   sort_info.dupp=0;
-  sort_param.fix_datafile= (my_bool) (! rep_quick);
+  sort_param.fix_datafile= (bool) (! rep_quick);
   sort_param.master=1;
   sort_info.max_records= ~(ha_rows) 0;
 
@@ -1576,7 +1576,7 @@
     if (sort_write_record(&sort_param))
       goto err;
   }
-  if (error > 0 || write_data_suffix(&sort_info, (my_bool)!rep_quick) ||
+  if (error > 0 || write_data_suffix(&sort_info, (bool)!rep_quick) ||
       flush_io_cache(&info->rec_cache) || param->read_cache.error < 0)
     goto err;
 
@@ -2175,7 +2175,7 @@
   sort_param.lock_in_memory=lock_memory;
   sort_param.tmpdir=param->tmpdir;
   sort_param.sort_info=&sort_info;
-  sort_param.fix_datafile= (my_bool) (! rep_quick);
+  sort_param.fix_datafile= (bool) (! rep_quick);
   sort_param.master =1;
   
   del=info->state->del;
@@ -2230,7 +2230,7 @@
     }
 
     if (_create_index_by_sort(&sort_param,
-			      (my_bool) (!(param->testflag & T_VERBOSE)),
+			      (bool) (!(param->testflag & T_VERBOSE)),
 			      (uint) param->sort_buffer_length))
     {
       param->retry_repair=1;
@@ -2673,7 +2673,7 @@
   }
   sort_info.total_keys=i;
   sort_param[0].master= 1;
-  sort_param[0].fix_datafile= (my_bool)(! rep_quick);
+  sort_param[0].fix_datafile= (bool)(! rep_quick);
   sort_param[0].calc_checksum= test(param->testflag & T_CALC_CHECKSUM);
 
   sort_info.got_error=0;
@@ -3089,7 +3089,7 @@
 	}
 	if (b_type & BLOCK_DELETED)
 	{
-	  my_bool error=0;
+	  bool error=0;
 	  if (block_info.block_len+ (uint) (block_info.filepos-pos) <
 	      share->base.min_block_length)
 	  {
@@ -3955,7 +3955,7 @@
 
 	/* write suffix to data file if neaded */
 
-int write_data_suffix(SORT_INFO *sort_info, my_bool fix_datafile)
+int write_data_suffix(SORT_INFO *sort_info, bool fix_datafile)
 {
   MI_INFO *info=sort_info->info;
 
@@ -4049,7 +4049,7 @@
 	*/
 
 void update_auto_increment_key(MI_CHECK *param, MI_INFO *info,
-			       my_bool repair_only)
+			       bool repair_only)
 {
   uchar *record= 0;
 
@@ -4206,7 +4206,7 @@
   return crc;
 }
 
-static my_bool mi_too_big_key_for_sort(MI_KEYDEF *key, ha_rows rows)
+static bool mi_too_big_key_for_sort(MI_KEYDEF *key, ha_rows rows)
 {
   uint key_maxlength=key->maxlength;
   return (key->flag & (HA_BINARY_PACK_KEY | HA_VAR_LENGTH_KEY) &&
@@ -4249,8 +4249,8 @@
   even if the temporary file would be quite big!
 */
 
-my_bool mi_test_if_sort_rep(MI_INFO *info, ha_rows rows,
-			    uint64_t key_map, my_bool force)
+bool mi_test_if_sort_rep(MI_INFO *info, ha_rows rows,
+			    uint64_t key_map, bool force)
 {
   MYISAM_SHARE *share=info->s;
   MI_KEYDEF *key=share->keyinfo;

=== modified file 'storage/myisam/mi_delete.c'
--- storage/myisam/mi_delete.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_delete.c	2008-08-09 06:20:11 +0000
@@ -192,7 +192,7 @@
 {
   int flag,ret_value,save_flag;
   uint length,nod_flag,search_key_length;
-  my_bool last_key;
+  bool last_key;
   uchar *leaf_buff,*keypos;
   my_off_t leaf_page= 0, next_block;
   uchar lastkey[MI_MAX_KEY_BUFF];
@@ -269,7 +269,7 @@
 	goto err;
       }
       ret_value=_mi_insert(info,keyinfo,key,anc_buff,keypos,lastkey,
-			   (uchar*) 0,(uchar*) 0,(my_off_t) 0,(my_bool) 0);
+			   (uchar*) 0,(uchar*) 0,(my_off_t) 0,(bool) 0);
     }
   }
   if (ret_value == 0 && mi_getint(anc_buff) > keyinfo->block_length)

=== modified file 'storage/myisam/mi_dynrec.c'
--- storage/myisam/mi_dynrec.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_dynrec.c	2008-08-09 06:20:11 +0000
@@ -61,7 +61,7 @@
     1  error.
 */
 
-my_bool mi_dynmap_file(MI_INFO *info, my_off_t size)
+bool mi_dynmap_file(MI_INFO *info, my_off_t size)
 {
   if (size > (my_off_t) (~((size_t) 0)) - MEMMAP_EXTRA_MARGIN)
   {
@@ -419,7 +419,7 @@
   a big block.
 */
 
-static my_bool unlink_deleted_block(MI_INFO *info, MI_BLOCK_INFO *block_info)
+static bool unlink_deleted_block(MI_INFO *info, MI_BLOCK_INFO *block_info)
 {
   if (block_info->filepos == info->s->state.dellink)
   {
@@ -516,7 +516,7 @@
   uint length,b_type;
   MI_BLOCK_INFO block_info,del_block;
   int error;
-  my_bool remove_next_block;
+  bool remove_next_block;
 
   /* First add a link from the last block to the new one */
   error= update_backward_delete_link(info, info->s->state.dellink, filepos);
@@ -1050,8 +1050,8 @@
   Returns 0 if record is ok.
 */
 
-my_bool _mi_rec_check(MI_INFO *info,const uchar *record, uchar *rec_buff,
-                      ulong packed_length, my_bool with_checksum)
+bool _mi_rec_check(MI_INFO *info,const uchar *record, uchar *rec_buff,
+                      ulong packed_length, bool with_checksum)
 {
   uint		length,new_length,flag,bit,i;
   uchar		*pos,*end,*packpos,*to;
@@ -1660,7 +1660,7 @@
 
 int _mi_read_rnd_dynamic_record(MI_INFO *info, uchar *buf,
 				register my_off_t filepos,
-				my_bool skip_deleted_blocks)
+				bool skip_deleted_blocks)
 {
   int block_of_record, info_read, save_errno;
   uint left_len,b_type;

=== modified file 'storage/myisam/mi_locking.c'
--- storage/myisam/mi_locking.c	2008-07-28 22:45:54 +0000
+++ storage/myisam/mi_locking.c	2008-08-09 06:20:11 +0000
@@ -331,7 +331,7 @@
     external lock (in other words: w_locks == 1 means no other threads has
     a write lock)
   */
-  return (my_bool) !(info->s->state.dellink == HA_OFFSET_ERROR ||
+  return (bool) !(info->s->state.dellink == HA_OFFSET_ERROR ||
                      (myisam_concurrent_insert == 2 && info->s->r_locks &&
                       info->s->w_locks == 1));
 }

=== modified file 'storage/myisam/mi_open.c'
--- storage/myisam/mi_open.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_open.c	2008-08-09 06:20:11 +0000
@@ -837,7 +837,7 @@
 }
 
 
-uint mi_state_info_read_dsk(File file, MI_STATE_INFO *state, my_bool pRead)
+uint mi_state_info_read_dsk(File file, MI_STATE_INFO *state, bool pRead)
 {
   uchar	buff[MI_STATE_INFO_SIZE + MI_STATE_EXTRA_SIZE];
 

=== modified file 'storage/myisam/mi_packrec.c'
--- storage/myisam/mi_packrec.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_packrec.c	2008-08-09 06:20:11 +0000
@@ -129,7 +129,7 @@
 
 	/* Read all packed info, allocate memory and fix field structs */
 
-my_bool _mi_read_pack_info(MI_INFO *info, bool fix_keys)
+bool _mi_read_pack_info(MI_INFO *info, bool fix_keys)
 {
   File file;
   int diff_length;
@@ -1246,7 +1246,7 @@
 
 int _mi_read_rnd_pack_record(MI_INFO *info, uchar *buf,
 			     register my_off_t filepos,
-			     my_bool skip_deleted_blocks)
+			     bool skip_deleted_blocks)
 {
   uint b_type;
   MI_BLOCK_INFO block_info;
@@ -1427,9 +1427,9 @@
 #ifdef HAVE_MMAP
 
 static int _mi_read_mempack_record(MI_INFO *info,my_off_t filepos,uchar *buf);
-static int _mi_read_rnd_mempack_record(MI_INFO*, uchar *,my_off_t, my_bool);
+static int _mi_read_rnd_mempack_record(MI_INFO*, uchar *,my_off_t, bool);
 
-my_bool _mi_memmap_file(MI_INFO *info)
+bool _mi_memmap_file(MI_INFO *info)
 {
   MYISAM_SHARE *share=info->s;
 
@@ -1500,7 +1500,7 @@
 /*ARGSUSED*/
 static int _mi_read_rnd_mempack_record(MI_INFO *info, uchar *buf,
 				       register my_off_t filepos,
-				       my_bool skip_deleted_blocks
+				       bool skip_deleted_blocks
 				       __attribute__((unused)))
 {
   MI_BLOCK_INFO block_info;

=== modified file 'storage/myisam/mi_preload.c'
--- storage/myisam/mi_preload.c	2008-07-16 05:44:59 +0000
+++ storage/myisam/mi_preload.c	2008-08-09 06:20:11 +0000
@@ -38,7 +38,7 @@
     of the table will be preloaded.
 */
 
-int mi_preload(MI_INFO *info, uint64_t key_map, my_bool ignore_leaves)
+int mi_preload(MI_INFO *info, uint64_t key_map, bool ignore_leaves)
 {
   uint i;
   ulong length, block_length= 0;

=== modified file 'storage/myisam/mi_range.c'
--- storage/myisam/mi_range.c	2008-07-15 20:58:06 +0000
+++ storage/myisam/mi_range.c	2008-08-09 06:20:11 +0000
@@ -155,7 +155,7 @@
 {
   int flag;
   uint nod_flag, keynr, max_keynr= 0;
-  my_bool after_key;
+  bool after_key;
   uchar *keypos,*buff;
   double offset;
 

=== modified file 'storage/myisam/mi_rrnd.c'
--- storage/myisam/mi_rrnd.c	2008-07-16 02:35:15 +0000
+++ storage/myisam/mi_rrnd.c	2008-08-09 06:20:11 +0000
@@ -31,7 +31,7 @@
 
 int mi_rrnd(MI_INFO *info, uchar *buf, register my_off_t filepos)
 {
-  my_bool skip_deleted_blocks;
+  bool skip_deleted_blocks;
 
   skip_deleted_blocks=0;
 

=== modified file 'storage/myisam/mi_search.c'
--- storage/myisam/mi_search.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_search.c	2008-08-09 06:20:11 +0000
@@ -18,7 +18,7 @@
 #include "myisamdef.h"
 #include <mystrings/m_ctype.h>
 
-static my_bool _mi_get_prev_key(MI_INFO *info, MI_KEYDEF *keyinfo, uchar *page,
+static bool _mi_get_prev_key(MI_INFO *info, MI_KEYDEF *keyinfo, uchar *page,
                                 uchar *key, uchar *keypos,
                                 uint *return_key_length);
 
@@ -56,7 +56,7 @@
 int _mi_search(register MI_INFO *info, register MI_KEYDEF *keyinfo,
                uchar *key, uint key_len, uint nextflag, register my_off_t pos)
 {
-  my_bool last_key;
+  bool last_key;
   int error,flag;
   uint nod_flag;
   uchar *keypos,*maxpos;
@@ -167,7 +167,7 @@
 
 int _mi_bin_search(MI_INFO *info, register MI_KEYDEF *keyinfo, uchar *page,
                    uchar *key, uint key_len, uint comp_flag, uchar **ret_pos,
-                   uchar *buff __attribute__((unused)), my_bool *last_key)
+                   uchar *buff __attribute__((unused)), bool *last_key)
 {
   register int start,mid,end,save_end;
   int flag;
@@ -227,7 +227,7 @@
 
 int _mi_seq_search(MI_INFO *info, register MI_KEYDEF *keyinfo, uchar *page,
                    uchar *key, uint key_len, uint comp_flag, uchar **ret_pos,
-                   uchar *buff, my_bool *last_key)
+                   uchar *buff, bool *last_key)
 {
   int flag=0;
   uint nod_flag,length=0,not_used[2];
@@ -262,7 +262,7 @@
 
 int _mi_prefix_search(MI_INFO *info, register MI_KEYDEF *keyinfo, uchar *page,
                       uchar *key, uint key_len, uint nextflag, uchar **ret_pos,
-                      uchar *buff, my_bool *last_key)
+                      uchar *buff, bool *last_key)
 {
   /*
     my_flag is raw comparison result to be changed according to
@@ -1027,7 +1027,7 @@
         /* Get key at position without knowledge of previous key */
         /* Returns 0 if ok */
 
-static my_bool _mi_get_prev_key(MI_INFO *info, MI_KEYDEF *keyinfo, uchar *page,
+static bool _mi_get_prev_key(MI_INFO *info, MI_KEYDEF *keyinfo, uchar *page,
                                 uchar *key, uchar *keypos,
                                 uint *return_key_length)
 {
@@ -1396,7 +1396,7 @@
   uint key_length,ref_length,org_key_length=0,
        length_pack,new_key_length,diff_flag,pack_marker;
   uchar *start,*end,*key_end,*sort_order;
-  my_bool same_length;
+  bool same_length;
 
   length_pack=s_temp->ref_length=s_temp->n_ref_length=s_temp->n_length=0;
   same_length=0; keyseg=keyinfo->seg;

=== modified file 'storage/myisam/mi_statrec.c'
--- storage/myisam/mi_statrec.c	2008-07-28 09:44:49 +0000
+++ storage/myisam/mi_statrec.c	2008-08-09 06:20:11 +0000
@@ -191,7 +191,7 @@
 
 int _mi_read_rnd_static_record(MI_INFO *info, uchar *buf,
 			       register my_off_t filepos,
-			       my_bool skip_deleted_blocks)
+			       bool skip_deleted_blocks)
 {
   int locked,error,cache_read;
   uint cache_length;

=== modified file 'storage/myisam/mi_unique.c'
--- storage/myisam/mi_unique.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_unique.c	2008-08-09 06:20:11 +0000
@@ -18,7 +18,7 @@
 #include "myisamdef.h"
 #include <mystrings/m_ctype.h>
 
-my_bool mi_check_unique(MI_INFO *info, MI_UNIQUEDEF *def, uchar *record,
+bool mi_check_unique(MI_INFO *info, MI_UNIQUEDEF *def, uchar *record,
 			ha_checksum unique_hash, my_off_t disk_pos)
 {
   my_off_t lastpos=info->lastpos;
@@ -144,7 +144,7 @@
 */
 
 int mi_unique_comp(MI_UNIQUEDEF *def, const uchar *a, const uchar *b,
-		   my_bool null_are_equal)
+		   bool null_are_equal)
 {
   const uchar *pos_a, *pos_b, *end;
   HA_KEYSEG *keyseg;

=== modified file 'storage/myisam/mi_update.c'
--- storage/myisam/mi_update.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_update.c	2008-08-09 06:20:11 +0000
@@ -23,7 +23,7 @@
   register my_off_t pos;
   uint i;
   uchar old_key[MI_MAX_KEY_BUFF],*new_key;
-  my_bool auto_key_changed=0;
+  bool auto_key_changed=0;
   uint64_t changed;
   MYISAM_SHARE *share= info->s;
   ha_checksum old_checksum= 0;

=== modified file 'storage/myisam/mi_write.c'
--- storage/myisam/mi_write.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/mi_write.c	2008-08-09 06:20:11 +0000
@@ -25,7 +25,7 @@
 		    uint comp_flag, uchar *key,
 		    uint key_length, my_off_t pos, uchar *father_buff,
 		    uchar *father_keypos, my_off_t father_page,
-		    my_bool insert_last);
+		    bool insert_last);
 static int _mi_balance_page(MI_INFO *info,MI_KEYDEF *keyinfo,uchar *key,
 			    uchar *curr_buff,uchar *father_buff,
 			    uchar *father_keypos,my_off_t father_page);
@@ -46,7 +46,7 @@
   int save_errno;
   my_off_t filepos;
   uchar *buff;
-  my_bool lock_tree= share->concurrent_insert;
+  bool lock_tree= share->concurrent_insert;
 
   if (share->options & HA_OPTION_READ_ONLY_DATA)
   {
@@ -90,7 +90,7 @@
   {
     if (mi_is_key_active(share->state.key_map, i))
     {
-      my_bool local_lock_tree= (lock_tree &&
+      bool local_lock_tree= (lock_tree &&
                                 !(info->bulk_insert &&
                                   is_tree_inited(&info->bulk_insert[i])));
       if (local_lock_tree)
@@ -167,7 +167,7 @@
     {
       if (mi_is_key_active(share->state.key_map, i))
       {
-	my_bool local_lock_tree= (lock_tree &&
+	bool local_lock_tree= (lock_tree &&
                                   !(info->bulk_insert &&
                                     is_tree_inited(&info->bulk_insert[i])));
 	if (local_lock_tree)
@@ -291,13 +291,13 @@
 static int w_search(register MI_INFO *info, register MI_KEYDEF *keyinfo,
 		    uint comp_flag, uchar *key, uint key_length, my_off_t page,
 		    uchar *father_buff, uchar *father_keypos,
-		    my_off_t father_page, my_bool insert_last)
+		    my_off_t father_page, bool insert_last)
 {
   int error,flag;
   uint nod_flag, search_key_length;
   uchar *temp_buff,*keypos;
   uchar keybuff[MI_MAX_KEY_BUFF];
-  my_bool was_last_key;
+  bool was_last_key;
   my_off_t next_page, dupp_key_pos;
 
   search_key_length= (comp_flag & SEARCH_FIND) ? key_length : USE_WHOLE_KEY;
@@ -377,7 +377,7 @@
 int _mi_insert(register MI_INFO *info, register MI_KEYDEF *keyinfo,
 	       uchar *key, uchar *anc_buff, uchar *key_pos, uchar *key_buff,
                uchar *father_buff, uchar *father_key_pos, my_off_t father_page,
-	       my_bool insert_last)
+	       bool insert_last)
 {
   uint a_length,nod_flag;
   int t_length;
@@ -435,7 +435,7 @@
 
 int _mi_split_page(register MI_INFO *info, register MI_KEYDEF *keyinfo,
 		   uchar *key, uchar *buff, uchar *key_buff,
-		   my_bool insert_last_key)
+		   bool insert_last_key)
 {
   uint length,a_length,key_ref_length,t_length,nod_flag,key_length;
   uchar *key_pos,*pos, *after_key= NULL;
@@ -595,7 +595,7 @@
 			    uchar *key, uchar *curr_buff, uchar *father_buff,
 			    uchar *father_key_pos, my_off_t father_page)
 {
-  my_bool right;
+  bool right;
   uint k_length,father_length,father_keylength,nod_flag,curr_keylength,
        right_length,left_length,new_right_length,new_left_length,extra_length,
        length,keys;

=== modified file 'storage/myisam/myisam.h'
--- storage/myisam/myisam.h	2008-08-05 18:43:30 +0000
+++ storage/myisam/myisam.h	2008-08-09 06:20:11 +0000
@@ -162,7 +162,7 @@
   uint64_t key_file_length;
   uint old_options;
   uint8_t language;
-  my_bool with_auto_increment;
+  bool with_auto_increment;
 } MI_CREATE_INFO;
 
 struct st_myisam_info;			/* For referense */
@@ -190,7 +190,7 @@
   int (*bin_search)(struct st_myisam_info *info,struct st_mi_keydef *keyinfo,
 		    uchar *page,uchar *key,
 		    uint key_len,uint comp_flag,uchar * *ret_pos,
-		    uchar *buff, my_bool *was_last_key);
+		    uchar *buff, bool *was_last_key);
   uint (*get_key)(struct st_mi_keydef *keyinfo,uint nod_flag,uchar * *page,
 		  uchar *key);
   int (*pack_key)(struct st_mi_keydef *keyinfo,uint nod_flag,uchar *next_key,
@@ -404,8 +404,8 @@
   uint opt_sort_key,total_files,max_level;
   uint testflag, key_cache_block_size;
   uint8_t language;
-  my_bool using_global_keycache, opt_lock_memory, opt_follow_links;
-  my_bool retry_repair, force_sort;
+  bool using_global_keycache, opt_lock_memory, opt_follow_links;
+  bool retry_repair, force_sort;
   char temp_filename[FN_REFLEN],*isam_file_name;
   MY_TMPDIR *tmpdir;
   int tmpfile_createflag;
@@ -463,7 +463,7 @@
 		      myf myflags);
 void lock_memory(MI_CHECK *param);
 void update_auto_increment_key(MI_CHECK *param, MI_INFO *info,
-			       my_bool repair);
+			       bool repair);
 int update_state_info(MI_CHECK *param, MI_INFO *info,uint update);
 void update_key_parts(MI_KEYDEF *keyinfo, ulong *rec_per_key_part,
                       uint64_t *unique, uint64_t *notnull, 
@@ -472,11 +472,11 @@
 	     my_off_t length, const char *type);
 int movepoint(MI_INFO *info,uchar *record,my_off_t oldpos,
 	      my_off_t newpos, uint prot_key);
-int write_data_suffix(SORT_INFO *sort_info, my_bool fix_datafile);
+int write_data_suffix(SORT_INFO *sort_info, bool fix_datafile);
 int test_if_almost_full(MI_INFO *info);
 int recreate_table(MI_CHECK *param, MI_INFO **org_info, char *filename);
-my_bool mi_test_if_sort_rep(MI_INFO *info, ha_rows rows, uint64_t key_map,
-			    my_bool force);
+bool mi_test_if_sort_rep(MI_INFO *info, ha_rows rows, uint64_t key_map,
+			    bool force);
 
 int mi_init_bulk_insert(MI_INFO *info, ulong cache_size, ha_rows rows);
 void mi_flush_bulk_insert(MI_INFO *info, uint inx);
@@ -485,7 +485,7 @@
 			   KEY_CACHE *key_cache);
 void mi_change_key_cache(KEY_CACHE *old_key_cache,
 			 KEY_CACHE *new_key_cache);
-int mi_preload(MI_INFO *info, uint64_t key_map, my_bool ignore_leaves);
+int mi_preload(MI_INFO *info, uint64_t key_map, bool ignore_leaves);
 
 #ifdef	__cplusplus
 }

=== modified file 'storage/myisam/myisamchk.c'
--- storage/myisam/myisamchk.c	2008-08-06 00:04:45 +0000
+++ storage/myisam/myisamchk.c	2008-08-09 06:20:11 +0000
@@ -73,11 +73,11 @@
 static void descript(MI_CHECK *param, register MI_INFO *info, char * name);
 static int mi_sort_records(MI_CHECK *param, register MI_INFO *info,
                            char * name, uint sort_key,
-			   my_bool write_info, my_bool update_index);
+			   bool write_info, bool update_index);
 static int sort_record_index(MI_SORT_PARAM *sort_param, MI_INFO *info,
                              MI_KEYDEF *keyinfo,
 			     my_off_t page,uchar *buff,uint sortkey,
-			     File new_file, my_bool update_index);
+			     File new_file, bool update_index);
 
 MI_CHECK check_param;
 
@@ -758,7 +758,7 @@
   MI_INFO *info;
   File datafile;
   char llbuff[22],llbuff2[22];
-  my_bool state_updated=0;
+  bool state_updated=0;
   MYISAM_SHARE *share;
 
   param->out_flag=error=param->warning_printed=param->error_printed=
@@ -824,7 +824,7 @@
   */
   if (param->testflag & (T_FAST | T_CHECK_ONLY_CHANGED))
   {
-    my_bool need_to_check= mi_is_crashed(info) || share->state.open_count != 0;
+    bool need_to_check= mi_is_crashed(info) || share->state.open_count != 0;
 
     if ((param->testflag & (T_REP_ANY | T_SORT_RECORDS)) &&
 	((share->state.changed & (STATE_CHANGED | STATE_CRASHED |
@@ -979,14 +979,14 @@
 	  We can't update the index in mi_sort_records if we have a
 	  prefix compressed or fulltext index
 	*/
-	my_bool update_index=1;
+	bool update_index=1;
 	for (key=0 ; key < share->base.keys; key++)
 	  if (share->keyinfo[key].flag & (HA_BINARY_PACK_KEY))
 	    update_index=0;
 
 	error=mi_sort_records(param,info,filename,param->opt_sort_key,
                            /* what is the following parameter for ? */
-	   		      (my_bool) !(param->testflag & T_REP),
+	   		      (bool) !(param->testflag & T_REP),
 			      update_index);
 	datafile=info->dfile;	/* This is now locked */
 	if (!error && !update_index)
@@ -1069,7 +1069,7 @@
   if ((param->testflag & T_AUTO_INC) ||
       ((param->testflag & T_REP_ANY) && info->s->base.auto_key))
     update_auto_increment_key(param, info,
-			      (my_bool) !test(param->testflag & T_AUTO_INC));
+			      (bool) !test(param->testflag & T_AUTO_INC));
 
   if (!(param->testflag & T_DESCRIPT))
   {
@@ -1318,7 +1318,7 @@
     for (key=0,uniqueinfo= &share->uniqueinfo[0] ;
 	 key < share->state.header.uniques; key++, uniqueinfo++)
     {
-      my_bool new_row=0;
+      bool new_row=0;
       char null_bit[8],null_pos[8];
       printf("%-8d%-5d",key+1,uniqueinfo->key+1);
       for (keyseg=uniqueinfo->seg ; keyseg->type != HA_KEYTYPE_END ; keyseg++)
@@ -1397,8 +1397,8 @@
 static int mi_sort_records(MI_CHECK *param,
 			   register MI_INFO *info, char * name,
 			   uint sort_key,
-			   my_bool write_info,
-			   my_bool update_index)
+			   bool write_info,
+			   bool update_index)
 {
   int got_error;
   uint key;
@@ -1571,7 +1571,7 @@
 static int sort_record_index(MI_SORT_PARAM *sort_param,MI_INFO *info,
                              MI_KEYDEF *keyinfo,
 			     my_off_t page, uchar *buff, uint sort_key,
-			     File new_file,my_bool update_index)
+			     File new_file,bool update_index)
 {
   uint	nod_flag,used_length,key_length;
   uchar *temp_buff,*keypos,*endpos;

=== modified file 'storage/myisam/myisamdef.h'
--- storage/myisam/myisamdef.h	2008-08-05 18:43:30 +0000
+++ storage/myisam/myisamdef.h	2008-08-09 06:20:11 +0000
@@ -175,7 +175,7 @@
   int (*write_record)(struct st_myisam_info*, const uchar*);
   int (*update_record)(struct st_myisam_info*, my_off_t, const uchar*);
   int (*delete_record)(struct st_myisam_info*);
-  int (*read_rnd)(struct st_myisam_info*, uchar*, my_off_t, my_bool);
+  int (*read_rnd)(struct st_myisam_info*, uchar*, my_off_t, bool);
   int (*compare_record)(struct st_myisam_info*, const uchar *);
   /* Function to use for a row checksum. */
   ha_checksum (*calc_checksum)(struct st_myisam_info*, const uchar *);
@@ -202,9 +202,9 @@
   myf write_flag;
   enum data_file_type data_file_type;
   /* Below flag is needed to make log tables work with concurrent insert */
-  my_bool is_log_table;
+  bool is_log_table;
 
-  my_bool  changed,			/* If changed since lock */
+  bool  changed,			/* If changed since lock */
     global_changed,			/* If changed since open */
     not_flushed,
     temporary,delay_key_write,
@@ -229,7 +229,7 @@
 } MI_BIT_BUFF;
 
 
-typedef my_bool (*index_cond_func_t)(void *param);
+typedef bool (*index_cond_func_t)(void *param);
 
 struct st_myisam_info {
   MYISAM_SHARE *s;			/* Shared between open:s */
@@ -285,12 +285,12 @@
   IO_CACHE rec_cache;			/* When cacheing records */
   uint  preload_buff_size;              /* When preloading indexes */
   myf lock_wait;			/* is 0 or MY_DONT_WAIT */
-  my_bool was_locked;			/* Was locked in panic */
-  my_bool append_insert_at_end;		/* Set if concurrent insert */
-  my_bool quick_mode;
-  my_bool page_changed;		/* If info->buff can't be used for rnext */
-  my_bool buff_used;		/* If info->buff has to be reread for rnext */
-  my_bool once_flags;           /* For MYISAMMRG */
+  bool was_locked;			/* Was locked in panic */
+  bool append_insert_at_end;		/* Set if concurrent insert */
+  bool quick_mode;
+  bool page_changed;		/* If info->buff can't be used for rnext */
+  bool buff_used;		/* If info->buff has to be reread for rnext */
+  bool once_flags;           /* For MYISAMMRG */
 
   index_cond_func_t index_cond_func;   /* Index condition function */
   void *index_cond_func_arg;           /* parameter for the func */
@@ -324,8 +324,8 @@
   my_off_t pos,max_pos,filepos,start_recpos;
   uint key, key_length,real_key_length,sortbuff_size;
   uint maxbuffers, keys, find_length, sort_keys_length;
-  my_bool fix_datafile, master;
-  my_bool calc_checksum;                /* calculate table checksum */
+  bool fix_datafile, master;
+  bool calc_checksum;                /* calculate table checksum */
   MI_KEYDEF *keyinfo;
   HA_KEYSEG *seg;
   SORT_INFO *sort_info;
@@ -475,7 +475,7 @@
 	totlength,
 	part_of_prev_key,prev_length,pack_marker;
   uchar *key, *prev_key,*next_key_pos;
-  my_bool store_not_null;
+  bool store_not_null;
 } MI_KEY_PARAM;
 
 	/* Prototypes for intern functions */
@@ -485,7 +485,7 @@
 extern int _mi_update_dynamic_record(MI_INFO*, my_off_t, const uchar*);
 extern int _mi_delete_dynamic_record(MI_INFO *info);
 extern int _mi_cmp_dynamic_record(MI_INFO *info,const uchar *record);
-extern int _mi_read_rnd_dynamic_record(MI_INFO *, uchar *,my_off_t, my_bool);
+extern int _mi_read_rnd_dynamic_record(MI_INFO *, uchar *,my_off_t, bool);
 extern int _mi_write_blob_record(MI_INFO*, const uchar*);
 extern int _mi_update_blob_record(MI_INFO*, my_off_t, const uchar*);
 extern int _mi_read_static_record(MI_INFO *info, my_off_t filepos,uchar *buf);
@@ -493,7 +493,7 @@
 extern int _mi_update_static_record(MI_INFO*, my_off_t, const uchar*);
 extern int _mi_delete_static_record(MI_INFO *info);
 extern int _mi_cmp_static_record(MI_INFO *info,const uchar *record);
-extern int _mi_read_rnd_static_record(MI_INFO*, uchar *,my_off_t, my_bool);
+extern int _mi_read_rnd_static_record(MI_INFO*, uchar *,my_off_t, bool);
 extern int _mi_ck_write(MI_INFO *info,uint keynr,uchar *key,uint length);
 extern int _mi_ck_real_write_btree(MI_INFO *info, MI_KEYDEF *keyinfo,
                                    uchar *key, uint key_length,
@@ -502,9 +502,9 @@
 extern int _mi_insert(MI_INFO *info,MI_KEYDEF *keyinfo,uchar *key,
 		      uchar *anc_buff,uchar *key_pos,uchar *key_buff,
 		      uchar *father_buff, uchar *father_keypos,
-		      my_off_t father_page, my_bool insert_last);
+		      my_off_t father_page, bool insert_last);
 extern int _mi_split_page(MI_INFO *info,MI_KEYDEF *keyinfo,uchar *key,
-			  uchar *buff,uchar *key_buff, my_bool insert_last);
+			  uchar *buff,uchar *key_buff, bool insert_last);
 extern uchar *_mi_find_half_pos(uint nod_flag,MI_KEYDEF *keyinfo,uchar *page,
 				uchar *key,uint *return_key_length,
 				uchar **after_key);
@@ -546,13 +546,13 @@
 		      uint nextflag,my_off_t pos);
 extern int _mi_bin_search(struct st_myisam_info *info,MI_KEYDEF *keyinfo,
 			  uchar *page,uchar *key,uint key_len,uint comp_flag,
-			  uchar * *ret_pos,uchar *buff, my_bool *was_last_key);
+			  uchar * *ret_pos,uchar *buff, bool *was_last_key);
 extern int _mi_seq_search(MI_INFO *info,MI_KEYDEF *keyinfo,uchar *page,
 			  uchar *key,uint key_len,uint comp_flag,
-			  uchar **ret_pos,uchar *buff, my_bool *was_last_key);
+			  uchar **ret_pos,uchar *buff, bool *was_last_key);
 extern int _mi_prefix_search(MI_INFO *info,MI_KEYDEF *keyinfo,uchar *page,
 			  uchar *key,uint key_len,uint comp_flag,
-			  uchar **ret_pos,uchar *buff, my_bool *was_last_key);
+			  uchar **ret_pos,uchar *buff, bool *was_last_key);
 extern my_off_t _mi_kpos(uint nod_flag,uchar *after_key);
 extern void _mi_kpointer(MI_INFO *info,uchar *buff,my_off_t pos);
 extern my_off_t _mi_dpos(MI_INFO *info, uint nod_flag,uchar *after_key);
@@ -603,16 +603,16 @@
 
 extern ulong _mi_rec_unpack(MI_INFO *info,uchar *to,uchar *from,
 			    ulong reclength);
-extern my_bool _mi_rec_check(MI_INFO *info,const uchar *record, uchar *packpos,
-                             ulong packed_length, my_bool with_checkum);
+extern bool _mi_rec_check(MI_INFO *info,const uchar *record, uchar *packpos,
+                             ulong packed_length, bool with_checkum);
 extern int _mi_write_part_record(MI_INFO *info,my_off_t filepos,ulong length,
 				 my_off_t next_filepos,uchar **record,
 				 ulong *reclength,int *flag);
 extern void _mi_print_key(FILE *stream,HA_KEYSEG *keyseg,const uchar *key,
 			  uint length);
-extern my_bool _mi_read_pack_info(MI_INFO *info,bool fix_keys);
+extern bool _mi_read_pack_info(MI_INFO *info,bool fix_keys);
 extern int _mi_read_pack_record(MI_INFO *info,my_off_t filepos,uchar *buf);
-extern int _mi_read_rnd_pack_record(MI_INFO*, uchar *,my_off_t, my_bool);
+extern int _mi_read_rnd_pack_record(MI_INFO*, uchar *,my_off_t, bool);
 extern int _mi_pack_rec_unpack(MI_INFO *info, MI_BIT_BUFF *bit_buff,
                                uchar *to, uchar *from, ulong reclength);
 extern uint64_t mi_safe_mul(uint64_t a,uint64_t b);
@@ -690,7 +690,7 @@
 			      const uchar *record,my_off_t filepos,
 			      int result);
 extern void mi_report_error(int errcode, const char *file_name);
-extern my_bool _mi_memmap_file(MI_INFO *info);
+extern bool _mi_memmap_file(MI_INFO *info);
 extern void _mi_unmap_file(MI_INFO *info);
 extern uint save_pack_length(uint version, uchar *block_buff, ulong length);
 extern uint read_pack_length(uint version, const uchar *buf, ulong *length);
@@ -706,7 +706,7 @@
 
 uint mi_state_info_write(File file, MI_STATE_INFO *state, uint pWrite);
 uchar *mi_state_info_read(uchar *ptr, MI_STATE_INFO *state);
-uint mi_state_info_read_dsk(File file, MI_STATE_INFO *state, my_bool pRead);
+uint mi_state_info_read_dsk(File file, MI_STATE_INFO *state, bool pRead);
 uint mi_base_info_write(File file, MI_BASE_INFO *base);
 uchar *my_n_base_info_read(uchar *ptr, MI_BASE_INFO *base);
 int mi_keyseg_write(File file, const HA_KEYSEG *keyseg);
@@ -723,7 +723,7 @@
 ulong _my_calc_total_blob_length(MI_INFO *info, const uchar *record);
 ha_checksum mi_checksum(MI_INFO *info, const uchar *buf);
 ha_checksum mi_static_checksum(MI_INFO *info, const uchar *buf);
-my_bool mi_check_unique(MI_INFO *info, MI_UNIQUEDEF *def, uchar *record,
+bool mi_check_unique(MI_INFO *info, MI_UNIQUEDEF *def, uchar *record,
 		     ha_checksum unique_hash, my_off_t pos);
 ha_checksum mi_unique_hash(MI_UNIQUEDEF *def, const uchar *buf);
 int _mi_cmp_static_unique(MI_INFO *info, MI_UNIQUEDEF *def,
@@ -731,7 +731,7 @@
 int _mi_cmp_dynamic_unique(MI_INFO *info, MI_UNIQUEDEF *def,
 			   const uchar *record, my_off_t pos);
 int mi_unique_comp(MI_UNIQUEDEF *def, const uchar *a, const uchar *b,
-		   my_bool null_are_equal);
+		   bool null_are_equal);
 void mi_get_status(void* param, int concurrent_insert);
 void mi_update_status(void* param);
 void mi_restore_status(void* param);
@@ -739,11 +739,11 @@
 bool mi_check_status(void* param);
 
 extern MI_INFO *test_if_reopen(char *filename);
-my_bool check_table_is_closed(const char *name, const char *where);
+bool check_table_is_closed(const char *name, const char *where);
 int mi_open_datafile(MI_INFO *info, MYISAM_SHARE *share, File file_to_dup);
 int mi_open_keyfile(MYISAM_SHARE *share);
 void mi_setup_functions(register MYISAM_SHARE *share);
-my_bool mi_dynmap_file(MI_INFO *info, my_off_t size);
+bool mi_dynmap_file(MI_INFO *info, my_off_t size);
 void mi_remap_file(MI_INFO *info, my_off_t size);
 
 int mi_check_index_cond(register MI_INFO *info, uint keynr, uchar *record);
@@ -759,7 +759,7 @@
 int flush_blocks(MI_CHECK *param, KEY_CACHE *key_cache, File file);
 
 int sort_write_record(MI_SORT_PARAM *sort_param);
-int _create_index_by_sort(MI_SORT_PARAM *info,my_bool no_messages, ulong);
+int _create_index_by_sort(MI_SORT_PARAM *info,bool no_messages, ulong);
 
 extern void mi_set_index_cond_func(MI_INFO *info, index_cond_func_t func,
                                    void *func_arg);

=== modified file 'storage/myisam/myisamlog.c'
--- storage/myisam/myisamlog.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/myisamlog.c	2008-08-09 06:20:11 +0000
@@ -35,7 +35,7 @@
   char *name, *show_name;
   uchar *record;
   MI_INFO *isam;
-  my_bool closed, used;
+  bool closed, used;
   ulong accessed;
 };
 
@@ -67,7 +67,7 @@
 static int reopen_closed_file(TREE *tree,struct file_info *file_info);
 static int find_record_with_key(struct file_info *file_info,uchar *record);
 static void printf_log(const char *str,...);
-static my_bool cmp_filename(struct file_info *file_info,char * name);
+static bool cmp_filename(struct file_info *file_info,char * name);
 
 static uint verbose=0,update=0,test_info=0,max_files=0,re_open_count=0,
   recover=0,prefix_remove=0,opt_processes=0;
@@ -828,7 +828,7 @@
 }
 
 
-static my_bool cmp_filename(struct file_info *file_info, char * name)
+static bool cmp_filename(struct file_info *file_info, char * name)
 {
   if (!file_info)
     return 1;

=== modified file 'storage/myisam/myisammrg.h'
--- storage/myisam/myisammrg.h	2008-08-05 18:43:30 +0000
+++ storage/myisam/myisammrg.h	2008-08-09 06:20:11 +0000
@@ -66,9 +66,9 @@
   ulong  cache_size;
   uint	 merge_insert_method;
   uint	 tables,options,reclength,keys;
-  my_bool cache_in_use;
+  bool cache_in_use;
   /* If MERGE children attached to parent. See top comment in ha_myisammrg.cc */
-  my_bool children_attached;
+  bool children_attached;
   LIST	 open_list;
   QUEUE  by_key;
   ulong *rec_per_key_part;			/* for sql optimizing */
@@ -103,7 +103,7 @@
 extern int myrg_status(MYRG_INFO *file,MYMERGE_INFO *x,int flag);
 extern int myrg_lock_database(MYRG_INFO *file,int lock_type);
 extern int myrg_create(const char *name, const char **table_names,
-                       uint insert_method, my_bool fix_names);
+                       uint insert_method, bool fix_names);
 extern int myrg_extra(MYRG_INFO *file,enum ha_extra_function function,
 		      void *extra_arg);
 extern int myrg_reset(MYRG_INFO *info);

=== modified file 'storage/myisam/myisampack.c'
--- storage/myisam/myisampack.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/myisampack.c	2008-08-09 06:20:11 +0000
@@ -113,14 +113,14 @@
   uint	max_blob_length;
   my_off_t records;
   /* true if at least one source file has at least one disabled index */
-  my_bool src_file_has_indexes_disabled;
+  bool src_file_has_indexes_disabled;
 } PACK_MRG_INFO;
 
 
 extern int main(int argc,char * *argv);
 static void get_options(int *argc,char ***argv);
 static MI_INFO *open_isam_file(char *name,int mode);
-static my_bool open_isam_files(PACK_MRG_INFO *mrg,char **names,uint count);
+static bool open_isam_files(PACK_MRG_INFO *mrg,char **names,uint count);
 static int compress(PACK_MRG_INFO *file,char *join_name);
 static HUFF_COUNTS *init_huff_count(MI_INFO *info,my_off_t records);
 static void free_counts_and_tree_and_queue(HUFF_TREE *huff_trees,
@@ -174,7 +174,7 @@
 static int error_on_write=0,test_only=0,verbose=0,silent=0,
 	   write_loop=0,force_pack=0, isamchk_neaded=0;
 static int tmpfile_createflag=O_RDWR | O_TRUNC | O_EXCL;
-static my_bool backup, opt_wait;
+static bool backup, opt_wait;
 /*
   tree_buff_length is somewhat arbitrary. The bigger it is the better
   the chance to win in terms of compression factor. On the other hand,
@@ -415,7 +415,7 @@
 }
 
 
-static my_bool open_isam_files(PACK_MRG_INFO *mrg, char **names, uint count)
+static bool open_isam_files(PACK_MRG_INFO *mrg, char **names, uint count)
 {
   uint i,j;
   mrg->count=0;
@@ -811,7 +811,7 @@
   ulong reclength,max_blob_length;
   uchar *record,*pos,*next_pos,*end_pos,*start_pos;
   ha_rows record_count;
-  my_bool static_row_size;
+  bool static_row_size;
   HUFF_COUNTS *count,*end_count;
   TREE_ELEMENT *element;
 

=== modified file 'storage/myisam/sort.c'
--- storage/myisam/sort.c	2008-08-03 19:34:21 +0000
+++ storage/myisam/sort.c	2008-08-09 06:20:11 +0000
@@ -95,7 +95,7 @@
    <> 0 Error
 */
 
-int _create_index_by_sort(MI_SORT_PARAM *info,my_bool no_messages,
+int _create_index_by_sort(MI_SORT_PARAM *info,bool no_messages,
 			  ulong sortbuff_size)
 {
   int error,maxbuffer,skr;

